<template>
    <header class="header">
        <div class="header-topline">
            <div class="container flex aic">
                <router-link to="/">
                    <span class="logo"></span>
                </router-link>
                <div class="links flex">
                    <router-link
                        v-for="(navItem, idx) in nav"
                        v-if="navItem.enabled"
                        :key="idx"
                        :to="navItem.link"
                        class="link"
                        :class="[{'active' : idx === 0}]"
                    >{{ navItem.name.en }}<span v-if="idx !== 0" class="coming__soon">Coming soon</span></router-link>
                </div>
                <div class="states flex aic">
                    <site-header-clock />
                    <div class="country">
                        <div class="custom-select">
                            <div class="current">EU Odds</div>
                        </div>
                    </div>
                </div>
                <div class="auth flex">
                    <a href="#" class="btn btn-lightgray2">Sign Up<span class="coming__soon">Coming soon</span></a>
                    <a href="#" class="btn btn-red">Log In <span class="icon icon-login"></span><span class="coming__soon">Coming soon</span></a>
                </div>
            </div>
        </div>
        <div class="header-navline flex aic">
            <div class="container flex aic">
                <nav class="nav header-nav flex aic">
                    <a href="#" class="item current">
                        <span class="icon"> <svg> <use xlink:href="#icon-football"/> </svg></span>
                        <span class="name">Football</span>
                    </a>
                    <a href="#" class="item">
                        <span class="name">Tennis<span class="coming__soon">Coming soon</span></span>
                        <span class="icon"></span>
                    </a>
                    <a href="#" class="item">
                        <span class="name">Basketball<span class="coming__soon">Coming soon</span></span>
                        <span class="icon"></span>
                    </a>
                    <a href="#" class="item">
                        <span class="name">Hockey<span class="coming__soon">Coming soon</span></span>
                        <span class="icon"></span>
                    </a>
                    <a href="#" class="item">
                        <span class="name">Volleyball<span class="coming__soon">Coming soon</span></span>
                        <span class="icon"></span>
                    </a>
                    <a href="#" class="item">
                        <span class="name">Badminton<span class="coming__soon">Coming soon</span></span>
                        <span class="icon"></span>
                    </a>
                    <div class="item item-more">
                        <span class="name">More<span class="coming__soon">Coming soon</span></span>
                        <span class="icon"></span>
                    </div>
                </nav>
                <div class="search header-search">
                    <label class="search-box">
                        <input type="text" class="search-input" placeholder="Search For League, Team or Player">
                    </label>
                </div>
            </div>
        </div>
        <live-scores/>

    </header>
</template>

<script>
import VueRouter from 'vue-router'
import LiveScores from './LiveScores'
import SiteHeaderClock from './SiteHeaderClock'
import Loader from '../Loader'
export default {
    name: 'SiteHeader',
    data() {
        return {
            topBanner: {}
        }
    },
    computed: {
        nav() {
            return this.$root.menus.secondary_menu
        }
    },
    methods: {
        registerBannerClick(id) {
            this.$root.$emit('registerBannerClick', id)
        },

    },
    mounted() {
        this.$root.$on('getBanners', (banners) => {
            if (banners.top[0]) {
                this.topBanner = banners.top[0]
            }
        })
    },
    components: {Loader, SiteHeaderClock, LiveScores },
}
</script>
